org.apache.cassandra.auth

## Interface RolesCacheMBean

- All Known Implementing Classes:
    RolesCache

      public interface RolesCacheMBean

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getUpdateInterval()`
    `int` | `getValidity()`
    `void` | `invalidate()`
    `void` | `setUpdateInterval(int updateInterval)`
    `void` | `setValidity(int validityPeriod)`

- - ### Method Detail

    - #### invalidate

          void invalidate()

    - #### setValidity

          void setValidity(int validityPeriod)

    - #### getValidity

          int getValidity()

    - #### setUpdateInterval

          void setUpdateInterval(int updateInterval)

    - #### getUpdateInterval

          int getUpdateInterval()

Copyright © 2018 The Apache Software Foundation